<?php
 // Datei, in der die Bewertungen gespeichert werden:
 $fname = "umfrage.dat";

 if (isset($_POST['r1'])) { $r1 = $_POST['r1']; }

 $data = file($fname);
 $entry_count = count($data);
 $ip = $_SERVER["REMOTE_ADDR"];

 $datum = date("d.m.Y");
 $zeit = date("H:i");

 // berprfen, ob der User heute schon bewertet hat:
 for ($i = 0; $i < $entry_count; $i++) {
  $part = explode("|", $data[$i]);
  if ($ip == $part[2] && $datum == $part[0]) { $schon="ja"; }
 }
 // ... wenn nicht, dann Bewertung speichern (falls Formulardaten gesendet wurden):
 if (empty($schon) && isset($r1)) {
 $eintrag = "$datum|$zeit|$ip|$r1|\n";
 $fp = fopen($fname, 'a');
 flock($fp, 2);
 fwrite($fp, $eintrag);
 flock($fp, 3);
 fclose($fp);
 }
 // Auswertung der Bewertungs-Datei:
 $data = file($fname);
 $entry_count = count($data);
 $spd_c = 0; $cdu_c = 0; $gruene_c = 0; $fdp_c = 0; $pds_c = 0; $sonst_c = 0;

 for ($i = 0; $i < $entry_count; $i++) {
  $part = explode("|", $data[$i]);
  // zusammenzhen:
  if ($part[3] == "spd") { $spd_c++; }
  if ($part[3] == "cdu") { $cdu_c++; }
  if ($part[3] == "gruene") { $gruene_c++; }
  if ($part[3] == "fdp") { $fdp_c++; }
  if ($part[3] == "pds") { $pds_c++; }
  if ($part[3] == "sonst") { $sonst_c++; }
  }
 // Prozente berechnen:
 if ($entry_count != 0) {
 $spd = number_format(($spd_c / $entry_count) * 100, 1);
 $cdu = number_format(($cdu_c / $entry_count) * 100, 1);
 $gruene = number_format(($gruene_c / $entry_count) * 100, 1);
 $fdp = number_format(($fdp_c / $entry_count) * 100, 1);
 $pds = number_format(($pds_c / $entry_count) * 100, 1);
 $sonst = number_format(($sonst_c / $entry_count) * 100, 1);
 }
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Language" content="de">
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<meta name="robots" content="noindex, nofollow">
<title>Umfrage</title>
<style type="text/css">
<!--
body    { color: #000000; background: #ffffff; margin: 20px; padding: 0px; }
.normal { font-family: verdana, arial, sans-serif; font-size: 13px; }
td      { height: 20px; color: #000000; background: #ffffff; font-family: verdana, arial, helvetica, sans-serif; font-size: 10pt; }
.hinw   { font-family: verdana, arial, sans-serif; font-size: 10pt; color: #ffffff; background: #ff0000; font-weight: bold; }
.gr     { font-family: verdana, arial, sans-serif; font-size: 18px; font-weight: bold; }
-->
</style>
</head>
<body>
 <?php if (isset($schon) && isset($r1)) {echo "<p><span class=\"hinw\">Es wurde bereits eine Bewertung aufgenommen!</span></p>"; } ?>
 <p class="normal">Wenn am kommenden Sonntag Bundestagswahl wre (ohne Gewhr!):<br>
 (<?php echo $entry_count; ?> Stimmen insgesamt)</p>
 <table border="0" cellpadding="0" cellspacing="0">
  <tr>
   <td><b>SPD:&nbsp;</b></td>
   <td><?php echo $spd; ?> %&nbsp;</td>
   <td><img src="img/spd.gif" width="<?php echo number_format($spd,0)*2+2; ?>" height="10" alt="" border="0"></td>
  </tr>
  <tr>
   <td><b>CDU:&nbsp;</b></td>
   <td><?php echo $cdu; ?> %&nbsp;</td>
   <td><img src="img/cdu.gif" width="<?php echo number_format($cdu,0)*2+2; ?>" height="10" alt="" border="0"></td>
  </tr>
  <tr>
   <td><b>GRNE:&nbsp;</b></td>
   <td><?php echo $gruene; ?> %&nbsp;</td>
   <td><img src="img/gruene.gif" width="<?php echo number_format($gruene,0)*2+2; ?>" height="10" alt="" border="0"></td>
  </tr>
  <tr>
   <td><b>FDP:&nbsp;</b></td>
   <td><?php echo $fdp; ?> %&nbsp;</td>
   <td><img src="img/fdp.gif" width="<?php echo number_format($fdp,0)*2+2; ?>" height="10" alt="" border="0"></td>
  </tr>
  <tr>
   <td><b>PDS:&nbsp;</b></td>
   <td><?php echo $pds; ?> %&nbsp;</td>
   <td><img src="img/pds.gif" width="<?php echo number_format($pds,0)*2+2; ?>" height="10" alt="" border="0"></td>
  </tr>
  <tr>
   <td><b>Sonstige:&nbsp;</b></td>
   <td><?php echo $sonst; ?> %&nbsp;</td>
   <td><img src="img/sonst.gif" width="<?php echo number_format($sonst,0)*2+2; ?>" height="10" alt="" border="0"></td>
  </tr>
 </table>
</body>
</html>